messages.summarizeText
Summarize the contents of a message with AI, see here » for more info. Clients should use RawMessage.summary_from_language as a hint for showing a summarization button; its absence does not forbid invoking this method.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Summarize the contents of a message with AI, see here » for more info. Clients should use RawMessage.summary_from_language as a hint for showing a summarization button; its absence does not forbid invoking this method.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.summarizeText" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "id": 0 } }'{ "result": { "_": "textWithEntities", "text": "string", "entities": [ { "_": "messageEntityUnknown", "offset": 0, "length": 0 } ] }}startHistoryImport
Complete the [history import process](https://core.telegram.org/api/import), importing all messages into the chat. To be called only after initializing the import with `messages.RawInitHistoryImportRequest` and uploading all files using `messages.RawUploadImportedMediaRequest`.
toggleBotInAttachMenu
Enable or disable [web bot attachment menu »](https://core.telegram.org/api/bots/attach)